Bug 1123781 - RFE: there is a missing message that you can't edit a deployment while deployment is being run
Summary: RFE: there is a missing message that you can't edit a deployment while deplo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: Installer
Assignee: Scott Seago
QA Contact: Omri Hochman
URL: https://trello.com/c/4aEzEymg/273-ux-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 09:07 UTC by Ami Jeain
Modified: 2016-09-29 13:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:38:38 UTC


Attachments (Terms of Use)

Description Ami Jeain 2014-07-28 09:07:11 UTC
Description of problem:

while a deployment is being run, you can't edit the deployment parameters, but the user should get notified, either by a text box, or by a message right next to the edit button.

Version-Release number of selected component (if applicable):

# rpm -qa |grep foreman
foreman-1.6.0.21-2.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-2.el6sat.noarch
foreman-postgresql-1.6.0.21-2.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-mysql2-1.6.0.21-2.el6sat.noarch
foreman-installer-1.5.0-0.6.RC2.el6ost.noarch
ruby193-rubygem-foreman-tasks-0.6.4-2.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
openstack-foreman-installer-2.0.16-1.el6ost.noarch
foreman-selinux-1.6.0.3-2.el6sat.noarch
foreman-discovery-image-6.5-20140620.2.el6sat.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch

How reproducible:


Steps to Reproduce:
1. install staypuft
2. while in the middle of deployment, try to edit
3. 

Actual results:

there is no message saying you can't edit the deployment
Expected results:

there should be some kind of notification to the user that the edit is not allowed while deployment is running

Additional info:

Comment 2 Mike Burns 2014-08-05 18:24:51 UTC
Marking this as an RFE for now.  The buttons are disabled and a tool-tip would be useful, but tool-tips are coming in a future phase.

Comment 5 Jaromir Coufal 2016-09-29 13:38:38 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.